Skip to main content

Spot Account Update

After a successful subscription, whenever the account balance or available balance changes, the server will push updates of the account assets.

Request:

{
"method": "SUBSCRIPTION",
"params": [
"spot@private.account.v3.api.pb"
]
}

Response:

{
channel: "spot@private.account.v3.api.pb",
createTime: 1736417034305,
sendTime: 1736417034307,
privateAccount {
vcoinName: "USDT",
coinId: "128f589271cb4951b03e71e6323eb7be",
balanceAmount: "21.94210356004384",
balanceAmountChange: "10",
frozenAmount: "0",
frozenAmountChange: "0",
type: "CONTRACT_TRANSFER",
time: 1736416910000
}
}

Request Parameter: spot@private.account.v3.api.pb

Response Parameters:

ParameterData TypeDescription
privateAccountjsonAccount information
vcoinNamestringAsset name
balanceAmountstringAvailable balance
balanceAmountChangestringChange in available balance
frozenAmountstringFrozen balance
frozenAmountChangestringChange in frozen balance
typestringChange type
timelongSettlement time